"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidIlpAddress = exports.getScheme = void 0;
const ILP_ADDRESS_REGEX = /^(g|private|example|peer|self|test[1-3]?|local)([.][a-zA-Z0-9_~-]+)+$/;
const ILP_ADDRESS_MAX_LENGTH = 1023;
const getScheme = (address) => address.split('.')[0];
exports.getScheme = getScheme;
const isValidIlpAddress = (o) => typeof o === 'string' && o.length <= ILP_ADDRESS_MAX_LENGTH && ILP_ADDRESS_REGEX.test(o);
exports.isValidIlpAddress = isValidIlpAddress;
//# sourceMappingURL=address.js.map